1. Registry
  2. Packages
  3. Databricks Provider
  4. API Docs
  5. getAiGatewayModelService
Viewing docs for Databricks v1.116.0
published on Tuesday, Oct 20, 2026 by Pulumi
databricks logo databricks logo
Viewing docs for Databricks v1.116.0
published on Tuesday, Oct 20, 2026 by Pulumi

    GA

    API Documentation

    Retrieves a Unity Catalog model service by its full resource name.

    Example Usage

    The following example retrieves the model service named customerSupport from the main.default schema:

    import * as pulumi from "@pulumi/pulumi";
    import * as databricks from "@pulumi/databricks";
    
    const example = databricks.getAiGatewayModelService({
        name: "model-services/main.default.customer_support",
    });
    export const modelServiceConfig = example.then(example => example.config);
    
    import pulumi
    import pulumi_databricks as databricks
    
    example = databricks.get_ai_gateway_model_service(name="model-services/main.default.customer_support")
    pulumi.export("modelServiceConfig", example.config)
    
    package main
    
    import (
    	"github.com/pulumi/pulumi-databricks/sdk/go/databricks"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		example, err := databricks.GetAiGatewayModelService(ctx, &databricks.LookupAiGatewayModelServiceArgs{
    			Name: "model-services/main.default.customer_support",
    		}, nil)
    		if err != nil {
    			return err
    		}
    		ctx.Export("modelServiceConfig", example.Config)
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Databricks = Pulumi.Databricks;
    
    return await Deployment.RunAsync(() => 
    {
        var example = Databricks.GetAiGatewayModelService.Invoke(new()
        {
            Name = "model-services/main.default.customer_support",
        });
    
        return new Dictionary<string, object?>
        {
            ["modelServiceConfig"] = example.Apply(getAiGatewayModelServiceResult => getAiGatewayModelServiceResult.Config),
        };
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.databricks.DatabricksFunctions;
    import com.pulumi.databricks.inputs.GetAiGatewayModelServiceArgs;
    import java.util.ArrayList;
    import java.util.Arrays;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            final var example = DatabricksFunctions.getAiGatewayModelService(GetAiGatewayModelServiceArgs.builder()
                .name("model-services/main.default.customer_support")
                .build());
    
            ctx.export("modelServiceConfig", example.config());
        }
    }
    
    variables:
      example:
        fn::invoke:
          function: databricks:getAiGatewayModelService
          arguments:
            name: model-services/main.default.customer_support
    outputs:
      modelServiceConfig: ${example.config}
    
    terraform {
      required_providers {
        databricks = {
          source = "pulumi/databricks"
        }
      }
    }
    
    data "databricks_ai_gateway_model_service" "example" {
      name = "model-services/main.default.customer_support"
    }
    
    output "modelServiceConfig" {
      value = data.databricks_ai_gateway_model_service.example.config
    }
    

    Using getAiGatewayModelService

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getAiGatewayModelService(args: GetAiGatewayModelServiceArgs, opts?: InvokeOptions): Promise<GetAiGatewayModelServiceResult>
    function getAiGatewayModelServiceOutput(args: GetAiGatewayModelServiceOutputArgs, opts?: InvokeOutputOptions): Output<GetAiGatewayModelServiceResult>
    def get_ai_gateway_model_service(name: Optional[str] = None,
                                     provider_config: Optional[GetAiGatewayModelServiceProviderConfig] = None,
                                     opts: Optional[InvokeOptions] = None) -> GetAiGatewayModelServiceResult
    def get_ai_gateway_model_service_output(name: pulumi.Input[Optional[str]] = None,
                                     provider_config: pulumi.Input[Optional[GetAiGatewayModelServiceProviderConfigArgs]] = None,
                                     opts: Optional[InvokeOutputOptions] = None) -> Output[GetAiGatewayModelServiceResult]
    func LookupAiGatewayModelService(ctx *Context, args *LookupAiGatewayModelServiceArgs, opts ...InvokeOption) (*LookupAiGatewayModelServiceResult, error)
    func LookupAiGatewayModelServiceOutput(ctx *Context, args *LookupAiGatewayModelServiceOutputArgs, opts ...InvokeOption) LookupAiGatewayModelServiceResultOutput

    > Note: This function is named LookupAiGatewayModelService in the Go SDK.

    public static class GetAiGatewayModelService 
    {
        public static Task<GetAiGatewayModelServiceResult> InvokeAsync(GetAiGatewayModelServiceArgs args, InvokeOptions? opts = null)
        public static Output<GetAiGatewayModelServiceResult> Invoke(GetAiGatewayModelServiceInvokeArgs args, InvokeOptions? opts = null)
        public static Output<GetAiGatewayModelServiceResult> Invoke(GetAiGatewayModelServiceInvokeArgs args, InvokeOutputOptions opts)
    }
    public static CompletableFuture<GetAiGatewayModelServiceResult> getAiGatewayModelService(GetAiGatewayModelServiceArgs args, InvokeOptions options)
    public static Output<GetAiGatewayModelServiceResult> getAiGatewayModelService(GetAiGatewayModelServiceArgs args, InvokeOptions options)
    public static Output<GetAiGatewayModelServiceResult> getAiGatewayModelService(GetAiGatewayModelServiceArgs args, InvokeOutputOptions options)
    
    fn::invoke:
      function: databricks:index/getAiGatewayModelService:getAiGatewayModelService
      arguments:
        # arguments dictionary
    data "databricks_get_ai_gateway_model_service" "name" {
        # arguments
    }

    The following arguments are supported:

    Name string
    Resource name of the model service. Format: model-services/{catalog}.{schema}.{model_service}. Each {...} component is capped at 255 characters individually. Server-derived on Create from parent + modelServiceId; required and immutable on Update/Get/Delete
    ProviderConfig GetAiGatewayModelServiceProviderConfig
    Configure the provider for management through account provider.
    Name string
    Resource name of the model service. Format: model-services/{catalog}.{schema}.{model_service}. Each {...} component is capped at 255 characters individually. Server-derived on Create from parent + modelServiceId; required and immutable on Update/Get/Delete
    ProviderConfig GetAiGatewayModelServiceProviderConfig
    Configure the provider for management through account provider.
    name string
    Resource name of the model service. Format: model-services/{catalog}.{schema}.{model_service}. Each {...} component is capped at 255 characters individually. Server-derived on Create from parent + modelServiceId; required and immutable on Update/Get/Delete
    provider_config object
    Configure the provider for management through account provider.
    name String
    Resource name of the model service. Format: model-services/{catalog}.{schema}.{model_service}. Each {...} component is capped at 255 characters individually. Server-derived on Create from parent + modelServiceId; required and immutable on Update/Get/Delete
    providerConfig GetAiGatewayModelServiceProviderConfig
    Configure the provider for management through account provider.
    name string
    Resource name of the model service. Format: model-services/{catalog}.{schema}.{model_service}. Each {...} component is capped at 255 characters individually. Server-derived on Create from parent + modelServiceId; required and immutable on Update/Get/Delete
    providerConfig GetAiGatewayModelServiceProviderConfig
    Configure the provider for management through account provider.
    name str
    Resource name of the model service. Format: model-services/{catalog}.{schema}.{model_service}. Each {...} component is capped at 255 characters individually. Server-derived on Create from parent + modelServiceId; required and immutable on Update/Get/Delete
    provider_config GetAiGatewayModelServiceProviderConfig
    Configure the provider for management through account provider.
    name String
    Resource name of the model service. Format: model-services/{catalog}.{schema}.{model_service}. Each {...} component is capped at 255 characters individually. Server-derived on Create from parent + modelServiceId; required and immutable on Update/Get/Delete
    providerConfig Property Map
    Configure the provider for management through account provider.

    getAiGatewayModelService Result

    The following output properties are available:

    Comment string
    (string) - User-provided description
    Config GetAiGatewayModelServiceConfig
    (ModelServiceConfig) - Destinations, routing, rate limits, and payload logging configuration. Required on Create. On Update, provide this field when updateMask contains config or one of its subpaths
    CreateTime string
    (string) - Time the model service was created
    CreatedBy string
    (string) - Creator identity
    EffectiveOwner string
    (string) - Owner of the model service
    Etag string
    (string) - Optimistic concurrency token returned on every read. To make an Update or Delete conditional, pass the last-read value in that request's etag field. In REST responses, this value is a base64 string; URL-encode it when setting the etag query parameter
    MetastoreId string
    (string) - Metastore hosting the model service
    Name string
    (string) - User-facing label for this destination, used in routing references
    SupportedApiTypes List<string>
    (list of string) - API types supported across this service's destinations, such as openai/v1/chat/completions, openai/v1/embeddings, and mlflow/v1/chat/completions. Derived from the backing models and providers at read time
    UpdateTime string
    (string) - Time the model service was last modified
    UpdatedBy string
    (string) - Identity of the last updater
    ProviderConfig GetAiGatewayModelServiceProviderConfig
    Comment string
    (string) - User-provided description
    Config GetAiGatewayModelServiceConfig
    (ModelServiceConfig) - Destinations, routing, rate limits, and payload logging configuration. Required on Create. On Update, provide this field when updateMask contains config or one of its subpaths
    CreateTime string
    (string) - Time the model service was created
    CreatedBy string
    (string) - Creator identity
    EffectiveOwner string
    (string) - Owner of the model service
    Etag string
    (string) - Optimistic concurrency token returned on every read. To make an Update or Delete conditional, pass the last-read value in that request's etag field. In REST responses, this value is a base64 string; URL-encode it when setting the etag query parameter
    MetastoreId string
    (string) - Metastore hosting the model service
    Name string
    (string) - User-facing label for this destination, used in routing references
    SupportedApiTypes []string
    (list of string) - API types supported across this service's destinations, such as openai/v1/chat/completions, openai/v1/embeddings, and mlflow/v1/chat/completions. Derived from the backing models and providers at read time
    UpdateTime string
    (string) - Time the model service was last modified
    UpdatedBy string
    (string) - Identity of the last updater
    ProviderConfig GetAiGatewayModelServiceProviderConfig
    comment string
    (string) - User-provided description
    config object
    (ModelServiceConfig) - Destinations, routing, rate limits, and payload logging configuration. Required on Create. On Update, provide this field when updateMask contains config or one of its subpaths
    create_time string
    (string) - Time the model service was created
    created_by string
    (string) - Creator identity
    effective_owner string
    (string) - Owner of the model service
    etag string
    (string) - Optimistic concurrency token returned on every read. To make an Update or Delete conditional, pass the last-read value in that request's etag field. In REST responses, this value is a base64 string; URL-encode it when setting the etag query parameter
    metastore_id string
    (string) - Metastore hosting the model service
    name string
    (string) - User-facing label for this destination, used in routing references
    supported_api_types list(string)
    (list of string) - API types supported across this service's destinations, such as openai/v1/chat/completions, openai/v1/embeddings, and mlflow/v1/chat/completions. Derived from the backing models and providers at read time
    update_time string
    (string) - Time the model service was last modified
    updated_by string
    (string) - Identity of the last updater
    provider_config object
    comment String
    (string) - User-provided description
    config GetAiGatewayModelServiceConfig
    (ModelServiceConfig) - Destinations, routing, rate limits, and payload logging configuration. Required on Create. On Update, provide this field when updateMask contains config or one of its subpaths
    createTime String
    (string) - Time the model service was created
    createdBy String
    (string) - Creator identity
    effectiveOwner String
    (string) - Owner of the model service
    etag String
    (string) - Optimistic concurrency token returned on every read. To make an Update or Delete conditional, pass the last-read value in that request's etag field. In REST responses, this value is a base64 string; URL-encode it when setting the etag query parameter
    metastoreId String
    (string) - Metastore hosting the model service
    name String
    (string) - User-facing label for this destination, used in routing references
    supportedApiTypes List<String>
    (list of string) - API types supported across this service's destinations, such as openai/v1/chat/completions, openai/v1/embeddings, and mlflow/v1/chat/completions. Derived from the backing models and providers at read time
    updateTime String
    (string) - Time the model service was last modified
    updatedBy String
    (string) - Identity of the last updater
    providerConfig GetAiGatewayModelServiceProviderConfig
    comment string
    (string) - User-provided description
    config GetAiGatewayModelServiceConfig
    (ModelServiceConfig) - Destinations, routing, rate limits, and payload logging configuration. Required on Create. On Update, provide this field when updateMask contains config or one of its subpaths
    createTime string
    (string) - Time the model service was created
    createdBy string
    (string) - Creator identity
    effectiveOwner string
    (string) - Owner of the model service
    etag string
    (string) - Optimistic concurrency token returned on every read. To make an Update or Delete conditional, pass the last-read value in that request's etag field. In REST responses, this value is a base64 string; URL-encode it when setting the etag query parameter
    metastoreId string
    (string) - Metastore hosting the model service
    name string
    (string) - User-facing label for this destination, used in routing references
    supportedApiTypes string[]
    (list of string) - API types supported across this service's destinations, such as openai/v1/chat/completions, openai/v1/embeddings, and mlflow/v1/chat/completions. Derived from the backing models and providers at read time
    updateTime string
    (string) - Time the model service was last modified
    updatedBy string
    (string) - Identity of the last updater
    providerConfig GetAiGatewayModelServiceProviderConfig
    comment str
    (string) - User-provided description
    config GetAiGatewayModelServiceConfig
    (ModelServiceConfig) - Destinations, routing, rate limits, and payload logging configuration. Required on Create. On Update, provide this field when updateMask contains config or one of its subpaths
    create_time str
    (string) - Time the model service was created
    created_by str
    (string) - Creator identity
    effective_owner str
    (string) - Owner of the model service
    etag str
    (string) - Optimistic concurrency token returned on every read. To make an Update or Delete conditional, pass the last-read value in that request's etag field. In REST responses, this value is a base64 string; URL-encode it when setting the etag query parameter
    metastore_id str
    (string) - Metastore hosting the model service
    name str
    (string) - User-facing label for this destination, used in routing references
    supported_api_types Sequence[str]
    (list of string) - API types supported across this service's destinations, such as openai/v1/chat/completions, openai/v1/embeddings, and mlflow/v1/chat/completions. Derived from the backing models and providers at read time
    update_time str
    (string) - Time the model service was last modified
    updated_by str
    (string) - Identity of the last updater
    provider_config GetAiGatewayModelServiceProviderConfig
    comment String
    (string) - User-provided description
    config Property Map
    (ModelServiceConfig) - Destinations, routing, rate limits, and payload logging configuration. Required on Create. On Update, provide this field when updateMask contains config or one of its subpaths
    createTime String
    (string) - Time the model service was created
    createdBy String
    (string) - Creator identity
    effectiveOwner String
    (string) - Owner of the model service
    etag String
    (string) - Optimistic concurrency token returned on every read. To make an Update or Delete conditional, pass the last-read value in that request's etag field. In REST responses, this value is a base64 string; URL-encode it when setting the etag query parameter
    metastoreId String
    (string) - Metastore hosting the model service
    name String
    (string) - User-facing label for this destination, used in routing references
    supportedApiTypes List<String>
    (list of string) - API types supported across this service's destinations, such as openai/v1/chat/completions, openai/v1/embeddings, and mlflow/v1/chat/completions. Derived from the backing models and providers at read time
    updateTime String
    (string) - Time the model service was last modified
    updatedBy String
    (string) - Identity of the last updater
    providerConfig Property Map

    Supporting Types

    GetAiGatewayModelServiceConfig

    InferenceTable GetAiGatewayModelServiceConfigInferenceTable
    (InferenceTableConfig) - Inference table configuration for payload logging
    RateLimits List<GetAiGatewayModelServiceConfigRateLimit>
    (list of RateLimit) - Rate limits applied to requests routed through this model service
    Routing GetAiGatewayModelServiceConfigRouting
    (ModelServiceConfigRoutingConfig) - Routing configuration: destinations and fallback
    InferenceTable GetAiGatewayModelServiceConfigInferenceTable
    (InferenceTableConfig) - Inference table configuration for payload logging
    RateLimits []GetAiGatewayModelServiceConfigRateLimit
    (list of RateLimit) - Rate limits applied to requests routed through this model service
    Routing GetAiGatewayModelServiceConfigRouting
    (ModelServiceConfigRoutingConfig) - Routing configuration: destinations and fallback
    inference_table object
    (InferenceTableConfig) - Inference table configuration for payload logging
    rate_limits list(object)
    (list of RateLimit) - Rate limits applied to requests routed through this model service
    routing object
    (ModelServiceConfigRoutingConfig) - Routing configuration: destinations and fallback
    inferenceTable GetAiGatewayModelServiceConfigInferenceTable
    (InferenceTableConfig) - Inference table configuration for payload logging
    rateLimits List<GetAiGatewayModelServiceConfigRateLimit>
    (list of RateLimit) - Rate limits applied to requests routed through this model service
    routing GetAiGatewayModelServiceConfigRouting
    (ModelServiceConfigRoutingConfig) - Routing configuration: destinations and fallback
    inferenceTable GetAiGatewayModelServiceConfigInferenceTable
    (InferenceTableConfig) - Inference table configuration for payload logging
    rateLimits GetAiGatewayModelServiceConfigRateLimit[]
    (list of RateLimit) - Rate limits applied to requests routed through this model service
    routing GetAiGatewayModelServiceConfigRouting
    (ModelServiceConfigRoutingConfig) - Routing configuration: destinations and fallback
    inference_table GetAiGatewayModelServiceConfigInferenceTable
    (InferenceTableConfig) - Inference table configuration for payload logging
    rate_limits Sequence[GetAiGatewayModelServiceConfigRateLimit]
    (list of RateLimit) - Rate limits applied to requests routed through this model service
    routing GetAiGatewayModelServiceConfigRouting
    (ModelServiceConfigRoutingConfig) - Routing configuration: destinations and fallback
    inferenceTable Property Map
    (InferenceTableConfig) - Inference table configuration for payload logging
    rateLimits List<Property Map>
    (list of RateLimit) - Rate limits applied to requests routed through this model service
    routing Property Map
    (ModelServiceConfigRoutingConfig) - Routing configuration: destinations and fallback

    GetAiGatewayModelServiceConfigInferenceTable

    IsDeleted bool
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    Parent string
    (string) - Parent Unity Catalog schema where the inference table is created, in the form schemas/{catalog}.{schema}. Required when configuring an inference table. After the inference table is created, this field cannot be changed
    Table string
    (string) - Resolved UC table for payload logs. Format: tables/{catalog}.{schema}.{table}
    TableNamePrefix string
    (string) - Prefix used to form the inference table's registered name. AI Gateway appends _payload; for example, tableNamePrefix = "orders" creates ordersPayload. If unset, the prefix defaults to the service name. Read table from the response for the resulting resource name. After the inference table is created, this field cannot be changed
    IsDeleted bool
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    Parent string
    (string) - Parent Unity Catalog schema where the inference table is created, in the form schemas/{catalog}.{schema}. Required when configuring an inference table. After the inference table is created, this field cannot be changed
    Table string
    (string) - Resolved UC table for payload logs. Format: tables/{catalog}.{schema}.{table}
    TableNamePrefix string
    (string) - Prefix used to form the inference table's registered name. AI Gateway appends _payload; for example, tableNamePrefix = "orders" creates ordersPayload. If unset, the prefix defaults to the service name. Read table from the response for the resulting resource name. After the inference table is created, this field cannot be changed
    is_deleted bool
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    parent string
    (string) - Parent Unity Catalog schema where the inference table is created, in the form schemas/{catalog}.{schema}. Required when configuring an inference table. After the inference table is created, this field cannot be changed
    table string
    (string) - Resolved UC table for payload logs. Format: tables/{catalog}.{schema}.{table}
    table_name_prefix string
    (string) - Prefix used to form the inference table's registered name. AI Gateway appends _payload; for example, tableNamePrefix = "orders" creates ordersPayload. If unset, the prefix defaults to the service name. Read table from the response for the resulting resource name. After the inference table is created, this field cannot be changed
    isDeleted Boolean
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    parent String
    (string) - Parent Unity Catalog schema where the inference table is created, in the form schemas/{catalog}.{schema}. Required when configuring an inference table. After the inference table is created, this field cannot be changed
    table String
    (string) - Resolved UC table for payload logs. Format: tables/{catalog}.{schema}.{table}
    tableNamePrefix String
    (string) - Prefix used to form the inference table's registered name. AI Gateway appends _payload; for example, tableNamePrefix = "orders" creates ordersPayload. If unset, the prefix defaults to the service name. Read table from the response for the resulting resource name. After the inference table is created, this field cannot be changed
    isDeleted boolean
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    parent string
    (string) - Parent Unity Catalog schema where the inference table is created, in the form schemas/{catalog}.{schema}. Required when configuring an inference table. After the inference table is created, this field cannot be changed
    table string
    (string) - Resolved UC table for payload logs. Format: tables/{catalog}.{schema}.{table}
    tableNamePrefix string
    (string) - Prefix used to form the inference table's registered name. AI Gateway appends _payload; for example, tableNamePrefix = "orders" creates ordersPayload. If unset, the prefix defaults to the service name. Read table from the response for the resulting resource name. After the inference table is created, this field cannot be changed
    is_deleted bool
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    parent str
    (string) - Parent Unity Catalog schema where the inference table is created, in the form schemas/{catalog}.{schema}. Required when configuring an inference table. After the inference table is created, this field cannot be changed
    table str
    (string) - Resolved UC table for payload logs. Format: tables/{catalog}.{schema}.{table}
    table_name_prefix str
    (string) - Prefix used to form the inference table's registered name. AI Gateway appends _payload; for example, tableNamePrefix = "orders" creates ordersPayload. If unset, the prefix defaults to the service name. Read table from the response for the resulting resource name. After the inference table is created, this field cannot be changed
    isDeleted Boolean
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    parent String
    (string) - Parent Unity Catalog schema where the inference table is created, in the form schemas/{catalog}.{schema}. Required when configuring an inference table. After the inference table is created, this field cannot be changed
    table String
    (string) - Resolved UC table for payload logs. Format: tables/{catalog}.{schema}.{table}
    tableNamePrefix String
    (string) - Prefix used to form the inference table's registered name. AI Gateway appends _payload; for example, tableNamePrefix = "orders" creates ordersPayload. If unset, the prefix defaults to the service name. Read table from the response for the resulting resource name. After the inference table is created, this field cannot be changed

    GetAiGatewayModelServiceConfigRateLimit

    Key string
    (string) - Scope of the rate limit. Depending on this value, the limit applies to a principal, the service as a whole, or each user by default. Possible values are: RATE_LIMIT_KEY_SERVICE, RATE_LIMIT_KEY_SERVICE_PRINCIPAL, RATE_LIMIT_KEY_USER, RATE_LIMIT_KEY_USER_DEFAULT, RATE_LIMIT_KEY_USER_GROUP
    RenewalPeriod string
    (string) - Renewal period. Possible values are: RATE_LIMIT_RENEWAL_PERIOD_HOUR, RATE_LIMIT_RENEWAL_PERIOD_MINUTE
    Principal string
    (string) - Principal this limit applies to: user email, group name, or service principal application ID. Required when key applies to a user, group, or service principal; otherwise it must be unset
    Requests int
    (integer) - Maximum requests allowed in one renewal period. Leave unset for no request limit. Set to 0 to deny all requests
    Tokens int
    (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token limit. Set to 0 to deny all requests
    Key string
    (string) - Scope of the rate limit. Depending on this value, the limit applies to a principal, the service as a whole, or each user by default. Possible values are: RATE_LIMIT_KEY_SERVICE, RATE_LIMIT_KEY_SERVICE_PRINCIPAL, RATE_LIMIT_KEY_USER, RATE_LIMIT_KEY_USER_DEFAULT, RATE_LIMIT_KEY_USER_GROUP
    RenewalPeriod string
    (string) - Renewal period. Possible values are: RATE_LIMIT_RENEWAL_PERIOD_HOUR, RATE_LIMIT_RENEWAL_PERIOD_MINUTE
    Principal string
    (string) - Principal this limit applies to: user email, group name, or service principal application ID. Required when key applies to a user, group, or service principal; otherwise it must be unset
    Requests int
    (integer) - Maximum requests allowed in one renewal period. Leave unset for no request limit. Set to 0 to deny all requests
    Tokens int
    (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token limit. Set to 0 to deny all requests
    key string
    (string) - Scope of the rate limit. Depending on this value, the limit applies to a principal, the service as a whole, or each user by default. Possible values are: RATE_LIMIT_KEY_SERVICE, RATE_LIMIT_KEY_SERVICE_PRINCIPAL, RATE_LIMIT_KEY_USER, RATE_LIMIT_KEY_USER_DEFAULT, RATE_LIMIT_KEY_USER_GROUP
    renewal_period string
    (string) - Renewal period. Possible values are: RATE_LIMIT_RENEWAL_PERIOD_HOUR, RATE_LIMIT_RENEWAL_PERIOD_MINUTE
    principal string
    (string) - Principal this limit applies to: user email, group name, or service principal application ID. Required when key applies to a user, group, or service principal; otherwise it must be unset
    requests number
    (integer) - Maximum requests allowed in one renewal period. Leave unset for no request limit. Set to 0 to deny all requests
    tokens number
    (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token limit. Set to 0 to deny all requests
    key String
    (string) - Scope of the rate limit. Depending on this value, the limit applies to a principal, the service as a whole, or each user by default. Possible values are: RATE_LIMIT_KEY_SERVICE, RATE_LIMIT_KEY_SERVICE_PRINCIPAL, RATE_LIMIT_KEY_USER, RATE_LIMIT_KEY_USER_DEFAULT, RATE_LIMIT_KEY_USER_GROUP
    renewalPeriod String
    (string) - Renewal period. Possible values are: RATE_LIMIT_RENEWAL_PERIOD_HOUR, RATE_LIMIT_RENEWAL_PERIOD_MINUTE
    principal String
    (string) - Principal this limit applies to: user email, group name, or service principal application ID. Required when key applies to a user, group, or service principal; otherwise it must be unset
    requests Integer
    (integer) - Maximum requests allowed in one renewal period. Leave unset for no request limit. Set to 0 to deny all requests
    tokens Integer
    (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token limit. Set to 0 to deny all requests
    key string
    (string) - Scope of the rate limit. Depending on this value, the limit applies to a principal, the service as a whole, or each user by default. Possible values are: RATE_LIMIT_KEY_SERVICE, RATE_LIMIT_KEY_SERVICE_PRINCIPAL, RATE_LIMIT_KEY_USER, RATE_LIMIT_KEY_USER_DEFAULT, RATE_LIMIT_KEY_USER_GROUP
    renewalPeriod string
    (string) - Renewal period. Possible values are: RATE_LIMIT_RENEWAL_PERIOD_HOUR, RATE_LIMIT_RENEWAL_PERIOD_MINUTE
    principal string
    (string) - Principal this limit applies to: user email, group name, or service principal application ID. Required when key applies to a user, group, or service principal; otherwise it must be unset
    requests number
    (integer) - Maximum requests allowed in one renewal period. Leave unset for no request limit. Set to 0 to deny all requests
    tokens number
    (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token limit. Set to 0 to deny all requests
    key str
    (string) - Scope of the rate limit. Depending on this value, the limit applies to a principal, the service as a whole, or each user by default. Possible values are: RATE_LIMIT_KEY_SERVICE, RATE_LIMIT_KEY_SERVICE_PRINCIPAL, RATE_LIMIT_KEY_USER, RATE_LIMIT_KEY_USER_DEFAULT, RATE_LIMIT_KEY_USER_GROUP
    renewal_period str
    (string) - Renewal period. Possible values are: RATE_LIMIT_RENEWAL_PERIOD_HOUR, RATE_LIMIT_RENEWAL_PERIOD_MINUTE
    principal str
    (string) - Principal this limit applies to: user email, group name, or service principal application ID. Required when key applies to a user, group, or service principal; otherwise it must be unset
    requests int
    (integer) - Maximum requests allowed in one renewal period. Leave unset for no request limit. Set to 0 to deny all requests
    tokens int
    (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token limit. Set to 0 to deny all requests
    key String
    (string) - Scope of the rate limit. Depending on this value, the limit applies to a principal, the service as a whole, or each user by default. Possible values are: RATE_LIMIT_KEY_SERVICE, RATE_LIMIT_KEY_SERVICE_PRINCIPAL, RATE_LIMIT_KEY_USER, RATE_LIMIT_KEY_USER_DEFAULT, RATE_LIMIT_KEY_USER_GROUP
    renewalPeriod String
    (string) - Renewal period. Possible values are: RATE_LIMIT_RENEWAL_PERIOD_HOUR, RATE_LIMIT_RENEWAL_PERIOD_MINUTE
    principal String
    (string) - Principal this limit applies to: user email, group name, or service principal application ID. Required when key applies to a user, group, or service principal; otherwise it must be unset
    requests Number
    (integer) - Maximum requests allowed in one renewal period. Leave unset for no request limit. Set to 0 to deny all requests
    tokens Number
    (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token limit. Set to 0 to deny all requests

    GetAiGatewayModelServiceConfigRouting

    Destinations List<GetAiGatewayModelServiceConfigRoutingDestination>
    (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is required on Create. On Update, provide this list when replacing the full config or updating config.routing.destinations; other granular routing updates do not require resending destinations. The intermediate config.routing mask path is not supported
    Fallback GetAiGatewayModelServiceConfigRoutingFallback
    (ModelServiceConfigFallbackConfig) - Fallback routing applied after a primary destination fails. Fallback destinations are tried in the listed order
    Destinations []GetAiGatewayModelServiceConfigRoutingDestination
    (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is required on Create. On Update, provide this list when replacing the full config or updating config.routing.destinations; other granular routing updates do not require resending destinations. The intermediate config.routing mask path is not supported
    Fallback GetAiGatewayModelServiceConfigRoutingFallback
    (ModelServiceConfigFallbackConfig) - Fallback routing applied after a primary destination fails. Fallback destinations are tried in the listed order
    destinations list(object)
    (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is required on Create. On Update, provide this list when replacing the full config or updating config.routing.destinations; other granular routing updates do not require resending destinations. The intermediate config.routing mask path is not supported
    fallback object
    (ModelServiceConfigFallbackConfig) - Fallback routing applied after a primary destination fails. Fallback destinations are tried in the listed order
    destinations List<GetAiGatewayModelServiceConfigRoutingDestination>
    (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is required on Create. On Update, provide this list when replacing the full config or updating config.routing.destinations; other granular routing updates do not require resending destinations. The intermediate config.routing mask path is not supported
    fallback GetAiGatewayModelServiceConfigRoutingFallback
    (ModelServiceConfigFallbackConfig) - Fallback routing applied after a primary destination fails. Fallback destinations are tried in the listed order
    destinations GetAiGatewayModelServiceConfigRoutingDestination[]
    (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is required on Create. On Update, provide this list when replacing the full config or updating config.routing.destinations; other granular routing updates do not require resending destinations. The intermediate config.routing mask path is not supported
    fallback GetAiGatewayModelServiceConfigRoutingFallback
    (ModelServiceConfigFallbackConfig) - Fallback routing applied after a primary destination fails. Fallback destinations are tried in the listed order
    destinations Sequence[GetAiGatewayModelServiceConfigRoutingDestination]
    (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is required on Create. On Update, provide this list when replacing the full config or updating config.routing.destinations; other granular routing updates do not require resending destinations. The intermediate config.routing mask path is not supported
    fallback GetAiGatewayModelServiceConfigRoutingFallback
    (ModelServiceConfigFallbackConfig) - Fallback routing applied after a primary destination fails. Fallback destinations are tried in the listed order
    destinations List<Property Map>
    (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is required on Create. On Update, provide this list when replacing the full config or updating config.routing.destinations; other granular routing updates do not require resending destinations. The intermediate config.routing mask path is not supported
    fallback Property Map
    (ModelServiceConfigFallbackConfig) - Fallback routing applied after a primary destination fails. Fallback destinations are tried in the listed order

    GetAiGatewayModelServiceConfigRoutingDestination

    DestinationType string
    (string) - Backing-model category. Provide the matching type-specific configuration and leave the other type-specific configurations unset. Possible values are: DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL, DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL, DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL
    IsDeleted bool
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    Name string
    Resource name of the model service. Format: model-services/{catalog}.{schema}.{model_service}. Each {...} component is capped at 255 characters individually. Server-derived on Create from parent + modelServiceId; required and immutable on Update/Get/Delete
    ExternalModelConfig GetAiGatewayModelServiceConfigRoutingDestinationExternalModelConfig
    (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
    PayPerTokenConfig GetAiGatewayModelServiceConfigRoutingDestinationPayPerTokenConfig
    (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
    ProvisionedThroughputConfig GetAiGatewayModelServiceConfigRoutingDestinationProvisionedThroughputConfig
    (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
    TrafficPercentage int
    (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
    DestinationType string
    (string) - Backing-model category. Provide the matching type-specific configuration and leave the other type-specific configurations unset. Possible values are: DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL, DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL, DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL
    IsDeleted bool
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    Name string
    Resource name of the model service. Format: model-services/{catalog}.{schema}.{model_service}. Each {...} component is capped at 255 characters individually. Server-derived on Create from parent + modelServiceId; required and immutable on Update/Get/Delete
    ExternalModelConfig GetAiGatewayModelServiceConfigRoutingDestinationExternalModelConfig
    (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
    PayPerTokenConfig GetAiGatewayModelServiceConfigRoutingDestinationPayPerTokenConfig
    (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
    ProvisionedThroughputConfig GetAiGatewayModelServiceConfigRoutingDestinationProvisionedThroughputConfig
    (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
    TrafficPercentage int
    (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
    destination_type string
    (string) - Backing-model category. Provide the matching type-specific configuration and leave the other type-specific configurations unset. Possible values are: DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL, DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL, DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL
    is_deleted bool
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    name string
    Resource name of the model service. Format: model-services/{catalog}.{schema}.{model_service}. Each {...} component is capped at 255 characters individually. Server-derived on Create from parent + modelServiceId; required and immutable on Update/Get/Delete
    external_model_config object
    (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
    pay_per_token_config object
    (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
    provisioned_throughput_config object
    (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
    traffic_percentage number
    (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
    destinationType String
    (string) - Backing-model category. Provide the matching type-specific configuration and leave the other type-specific configurations unset. Possible values are: DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL, DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL, DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL
    isDeleted Boolean
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    name String
    Resource name of the model service. Format: model-services/{catalog}.{schema}.{model_service}. Each {...} component is capped at 255 characters individually. Server-derived on Create from parent + modelServiceId; required and immutable on Update/Get/Delete
    externalModelConfig GetAiGatewayModelServiceConfigRoutingDestinationExternalModelConfig
    (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
    payPerTokenConfig GetAiGatewayModelServiceConfigRoutingDestinationPayPerTokenConfig
    (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
    provisionedThroughputConfig GetAiGatewayModelServiceConfigRoutingDestinationProvisionedThroughputConfig
    (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
    trafficPercentage Integer
    (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
    destinationType string
    (string) - Backing-model category. Provide the matching type-specific configuration and leave the other type-specific configurations unset. Possible values are: DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL, DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL, DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL
    isDeleted boolean
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    name string
    Resource name of the model service. Format: model-services/{catalog}.{schema}.{model_service}. Each {...} component is capped at 255 characters individually. Server-derived on Create from parent + modelServiceId; required and immutable on Update/Get/Delete
    externalModelConfig GetAiGatewayModelServiceConfigRoutingDestinationExternalModelConfig
    (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
    payPerTokenConfig GetAiGatewayModelServiceConfigRoutingDestinationPayPerTokenConfig
    (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
    provisionedThroughputConfig GetAiGatewayModelServiceConfigRoutingDestinationProvisionedThroughputConfig
    (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
    trafficPercentage number
    (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
    destination_type str
    (string) - Backing-model category. Provide the matching type-specific configuration and leave the other type-specific configurations unset. Possible values are: DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL, DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL, DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL
    is_deleted bool
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    name str
    Resource name of the model service. Format: model-services/{catalog}.{schema}.{model_service}. Each {...} component is capped at 255 characters individually. Server-derived on Create from parent + modelServiceId; required and immutable on Update/Get/Delete
    external_model_config GetAiGatewayModelServiceConfigRoutingDestinationExternalModelConfig
    (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
    pay_per_token_config GetAiGatewayModelServiceConfigRoutingDestinationPayPerTokenConfig
    (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
    provisioned_throughput_config GetAiGatewayModelServiceConfigRoutingDestinationProvisionedThroughputConfig
    (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
    traffic_percentage int
    (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
    destinationType String
    (string) - Backing-model category. Provide the matching type-specific configuration and leave the other type-specific configurations unset. Possible values are: DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL, DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL, DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL
    isDeleted Boolean
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    name String
    Resource name of the model service. Format: model-services/{catalog}.{schema}.{model_service}. Each {...} component is capped at 255 characters individually. Server-derived on Create from parent + modelServiceId; required and immutable on Update/Get/Delete
    externalModelConfig Property Map
    (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
    payPerTokenConfig Property Map
    (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
    provisionedThroughputConfig Property Map
    (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
    trafficPercentage Number
    (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field

    GetAiGatewayModelServiceConfigRoutingDestinationExternalModelConfig

    ModelProviderService string
    (string) - Resource name of the governed ModelProviderService that owns provider auth and provider-specific configuration. The referenced ModelProviderService also carries the provider type, so this message does not surface it directly. Format: model-provider-services/{catalog}.{schema}.{model_provider_service}. Each {...} component is capped at 255 characters individually
    Target GetAiGatewayModelServiceConfigRoutingDestinationExternalModelConfigTarget
    (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from the referenced ModelProviderService's targets catalog, plus the unified API types the platform should translate to/from at request time
    ModelProviderService string
    (string) - Resource name of the governed ModelProviderService that owns provider auth and provider-specific configuration. The referenced ModelProviderService also carries the provider type, so this message does not surface it directly. Format: model-provider-services/{catalog}.{schema}.{model_provider_service}. Each {...} component is capped at 255 characters individually
    Target GetAiGatewayModelServiceConfigRoutingDestinationExternalModelConfigTarget
    (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from the referenced ModelProviderService's targets catalog, plus the unified API types the platform should translate to/from at request time
    model_provider_service string
    (string) - Resource name of the governed ModelProviderService that owns provider auth and provider-specific configuration. The referenced ModelProviderService also carries the provider type, so this message does not surface it directly. Format: model-provider-services/{catalog}.{schema}.{model_provider_service}. Each {...} component is capped at 255 characters individually
    target object
    (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from the referenced ModelProviderService's targets catalog, plus the unified API types the platform should translate to/from at request time
    modelProviderService String
    (string) - Resource name of the governed ModelProviderService that owns provider auth and provider-specific configuration. The referenced ModelProviderService also carries the provider type, so this message does not surface it directly. Format: model-provider-services/{catalog}.{schema}.{model_provider_service}. Each {...} component is capped at 255 characters individually
    target GetAiGatewayModelServiceConfigRoutingDestinationExternalModelConfigTarget
    (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from the referenced ModelProviderService's targets catalog, plus the unified API types the platform should translate to/from at request time
    modelProviderService string
    (string) - Resource name of the governed ModelProviderService that owns provider auth and provider-specific configuration. The referenced ModelProviderService also carries the provider type, so this message does not surface it directly. Format: model-provider-services/{catalog}.{schema}.{model_provider_service}. Each {...} component is capped at 255 characters individually
    target GetAiGatewayModelServiceConfigRoutingDestinationExternalModelConfigTarget
    (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from the referenced ModelProviderService's targets catalog, plus the unified API types the platform should translate to/from at request time
    model_provider_service str
    (string) - Resource name of the governed ModelProviderService that owns provider auth and provider-specific configuration. The referenced ModelProviderService also carries the provider type, so this message does not surface it directly. Format: model-provider-services/{catalog}.{schema}.{model_provider_service}. Each {...} component is capped at 255 characters individually
    target GetAiGatewayModelServiceConfigRoutingDestinationExternalModelConfigTarget
    (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from the referenced ModelProviderService's targets catalog, plus the unified API types the platform should translate to/from at request time
    modelProviderService String
    (string) - Resource name of the governed ModelProviderService that owns provider auth and provider-specific configuration. The referenced ModelProviderService also carries the provider type, so this message does not surface it directly. Format: model-provider-services/{catalog}.{schema}.{model_provider_service}. Each {...} component is capped at 255 characters individually
    target Property Map
    (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from the referenced ModelProviderService's targets catalog, plus the unified API types the platform should translate to/from at request time

    GetAiGatewayModelServiceConfigRoutingDestinationExternalModelConfigTarget

    Model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    NativeApiTypes List<string>
    (list of string) - Provider-native API types supported by this model, such as openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
    Model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    NativeApiTypes []string
    (list of string) - Provider-native API types supported by this model, such as openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
    model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    native_api_types list(string)
    (list of string) - Provider-native API types supported by this model, such as openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
    model String
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    nativeApiTypes List<String>
    (list of string) - Provider-native API types supported by this model, such as openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
    model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    nativeApiTypes string[]
    (list of string) - Provider-native API types supported by this model, such as openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
    model str
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    native_api_types Sequence[str]
    (list of string) - Provider-native API types supported by this model, such as openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
    model String
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    nativeApiTypes List<String>
    (list of string) - Provider-native API types supported by this model, such as openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed

    GetAiGatewayModelServiceConfigRoutingDestinationPayPerTokenConfig

    Model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    Model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    model String
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    model str
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    model String
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time

    GetAiGatewayModelServiceConfigRoutingDestinationProvisionedThroughputConfig

    Model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    ModelServingEndpoint string
    (string) - Name of the backing Model Serving endpoint serving the provisioned- throughput foundation model, in the form serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time
    Model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    ModelServingEndpoint string
    (string) - Name of the backing Model Serving endpoint serving the provisioned- throughput foundation model, in the form serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time
    model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    model_serving_endpoint string
    (string) - Name of the backing Model Serving endpoint serving the provisioned- throughput foundation model, in the form serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time
    model String
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    modelServingEndpoint String
    (string) - Name of the backing Model Serving endpoint serving the provisioned- throughput foundation model, in the form serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time
    model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    modelServingEndpoint string
    (string) - Name of the backing Model Serving endpoint serving the provisioned- throughput foundation model, in the form serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time
    model str
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    model_serving_endpoint str
    (string) - Name of the backing Model Serving endpoint serving the provisioned- throughput foundation model, in the form serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time
    model String
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    modelServingEndpoint String
    (string) - Name of the backing Model Serving endpoint serving the provisioned- throughput foundation model, in the form serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time

    GetAiGatewayModelServiceConfigRoutingFallback

    Destinations List<GetAiGatewayModelServiceConfigRoutingFallbackDestination>
    (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is required on Create. On Update, provide this list when replacing the full config or updating config.routing.destinations; other granular routing updates do not require resending destinations. The intermediate config.routing mask path is not supported
    Destinations []GetAiGatewayModelServiceConfigRoutingFallbackDestination
    (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is required on Create. On Update, provide this list when replacing the full config or updating config.routing.destinations; other granular routing updates do not require resending destinations. The intermediate config.routing mask path is not supported
    destinations list(object)
    (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is required on Create. On Update, provide this list when replacing the full config or updating config.routing.destinations; other granular routing updates do not require resending destinations. The intermediate config.routing mask path is not supported
    destinations List<GetAiGatewayModelServiceConfigRoutingFallbackDestination>
    (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is required on Create. On Update, provide this list when replacing the full config or updating config.routing.destinations; other granular routing updates do not require resending destinations. The intermediate config.routing mask path is not supported
    destinations GetAiGatewayModelServiceConfigRoutingFallbackDestination[]
    (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is required on Create. On Update, provide this list when replacing the full config or updating config.routing.destinations; other granular routing updates do not require resending destinations. The intermediate config.routing mask path is not supported
    destinations Sequence[GetAiGatewayModelServiceConfigRoutingFallbackDestination]
    (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is required on Create. On Update, provide this list when replacing the full config or updating config.routing.destinations; other granular routing updates do not require resending destinations. The intermediate config.routing mask path is not supported
    destinations List<Property Map>
    (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is required on Create. On Update, provide this list when replacing the full config or updating config.routing.destinations; other granular routing updates do not require resending destinations. The intermediate config.routing mask path is not supported

    GetAiGatewayModelServiceConfigRoutingFallbackDestination

    DestinationType string
    (string) - Backing-model category. Provide the matching type-specific configuration and leave the other type-specific configurations unset. Possible values are: DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL, DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL, DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL
    IsDeleted bool
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    Name string
    Resource name of the model service. Format: model-services/{catalog}.{schema}.{model_service}. Each {...} component is capped at 255 characters individually. Server-derived on Create from parent + modelServiceId; required and immutable on Update/Get/Delete
    ExternalModelConfig GetAiGatewayModelServiceConfigRoutingFallbackDestinationExternalModelConfig
    (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
    PayPerTokenConfig GetAiGatewayModelServiceConfigRoutingFallbackDestinationPayPerTokenConfig
    (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
    ProvisionedThroughputConfig GetAiGatewayModelServiceConfigRoutingFallbackDestinationProvisionedThroughputConfig
    (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
    TrafficPercentage int
    (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
    DestinationType string
    (string) - Backing-model category. Provide the matching type-specific configuration and leave the other type-specific configurations unset. Possible values are: DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL, DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL, DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL
    IsDeleted bool
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    Name string
    Resource name of the model service. Format: model-services/{catalog}.{schema}.{model_service}. Each {...} component is capped at 255 characters individually. Server-derived on Create from parent + modelServiceId; required and immutable on Update/Get/Delete
    ExternalModelConfig GetAiGatewayModelServiceConfigRoutingFallbackDestinationExternalModelConfig
    (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
    PayPerTokenConfig GetAiGatewayModelServiceConfigRoutingFallbackDestinationPayPerTokenConfig
    (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
    ProvisionedThroughputConfig GetAiGatewayModelServiceConfigRoutingFallbackDestinationProvisionedThroughputConfig
    (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
    TrafficPercentage int
    (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
    destination_type string
    (string) - Backing-model category. Provide the matching type-specific configuration and leave the other type-specific configurations unset. Possible values are: DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL, DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL, DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL
    is_deleted bool
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    name string
    Resource name of the model service. Format: model-services/{catalog}.{schema}.{model_service}. Each {...} component is capped at 255 characters individually. Server-derived on Create from parent + modelServiceId; required and immutable on Update/Get/Delete
    external_model_config object
    (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
    pay_per_token_config object
    (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
    provisioned_throughput_config object
    (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
    traffic_percentage number
    (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
    destinationType String
    (string) - Backing-model category. Provide the matching type-specific configuration and leave the other type-specific configurations unset. Possible values are: DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL, DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL, DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL
    isDeleted Boolean
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    name String
    Resource name of the model service. Format: model-services/{catalog}.{schema}.{model_service}. Each {...} component is capped at 255 characters individually. Server-derived on Create from parent + modelServiceId; required and immutable on Update/Get/Delete
    externalModelConfig GetAiGatewayModelServiceConfigRoutingFallbackDestinationExternalModelConfig
    (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
    payPerTokenConfig GetAiGatewayModelServiceConfigRoutingFallbackDestinationPayPerTokenConfig
    (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
    provisionedThroughputConfig GetAiGatewayModelServiceConfigRoutingFallbackDestinationProvisionedThroughputConfig
    (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
    trafficPercentage Integer
    (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
    destinationType string
    (string) - Backing-model category. Provide the matching type-specific configuration and leave the other type-specific configurations unset. Possible values are: DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL, DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL, DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL
    isDeleted boolean
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    name string
    Resource name of the model service. Format: model-services/{catalog}.{schema}.{model_service}. Each {...} component is capped at 255 characters individually. Server-derived on Create from parent + modelServiceId; required and immutable on Update/Get/Delete
    externalModelConfig GetAiGatewayModelServiceConfigRoutingFallbackDestinationExternalModelConfig
    (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
    payPerTokenConfig GetAiGatewayModelServiceConfigRoutingFallbackDestinationPayPerTokenConfig
    (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
    provisionedThroughputConfig GetAiGatewayModelServiceConfigRoutingFallbackDestinationProvisionedThroughputConfig
    (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
    trafficPercentage number
    (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
    destination_type str
    (string) - Backing-model category. Provide the matching type-specific configuration and leave the other type-specific configurations unset. Possible values are: DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL, DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL, DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL
    is_deleted bool
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    name str
    Resource name of the model service. Format: model-services/{catalog}.{schema}.{model_service}. Each {...} component is capped at 255 characters individually. Server-derived on Create from parent + modelServiceId; required and immutable on Update/Get/Delete
    external_model_config GetAiGatewayModelServiceConfigRoutingFallbackDestinationExternalModelConfig
    (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
    pay_per_token_config GetAiGatewayModelServiceConfigRoutingFallbackDestinationPayPerTokenConfig
    (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
    provisioned_throughput_config GetAiGatewayModelServiceConfigRoutingFallbackDestinationProvisionedThroughputConfig
    (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
    traffic_percentage int
    (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
    destinationType String
    (string) - Backing-model category. Provide the matching type-specific configuration and leave the other type-specific configurations unset. Possible values are: DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL, DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL, DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL
    isDeleted Boolean
    (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
    name String
    Resource name of the model service. Format: model-services/{catalog}.{schema}.{model_service}. Each {...} component is capped at 255 characters individually. Server-derived on Create from parent + modelServiceId; required and immutable on Update/Get/Delete
    externalModelConfig Property Map
    (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
    payPerTokenConfig Property Map
    (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
    provisionedThroughputConfig Property Map
    (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
    trafficPercentage Number
    (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field

    GetAiGatewayModelServiceConfigRoutingFallbackDestinationExternalModelConfig

    ModelProviderService string
    (string) - Resource name of the governed ModelProviderService that owns provider auth and provider-specific configuration. The referenced ModelProviderService also carries the provider type, so this message does not surface it directly. Format: model-provider-services/{catalog}.{schema}.{model_provider_service}. Each {...} component is capped at 255 characters individually
    Target GetAiGatewayModelServiceConfigRoutingFallbackDestinationExternalModelConfigTarget
    (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from the referenced ModelProviderService's targets catalog, plus the unified API types the platform should translate to/from at request time
    ModelProviderService string
    (string) - Resource name of the governed ModelProviderService that owns provider auth and provider-specific configuration. The referenced ModelProviderService also carries the provider type, so this message does not surface it directly. Format: model-provider-services/{catalog}.{schema}.{model_provider_service}. Each {...} component is capped at 255 characters individually
    Target GetAiGatewayModelServiceConfigRoutingFallbackDestinationExternalModelConfigTarget
    (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from the referenced ModelProviderService's targets catalog, plus the unified API types the platform should translate to/from at request time
    model_provider_service string
    (string) - Resource name of the governed ModelProviderService that owns provider auth and provider-specific configuration. The referenced ModelProviderService also carries the provider type, so this message does not surface it directly. Format: model-provider-services/{catalog}.{schema}.{model_provider_service}. Each {...} component is capped at 255 characters individually
    target object
    (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from the referenced ModelProviderService's targets catalog, plus the unified API types the platform should translate to/from at request time
    modelProviderService String
    (string) - Resource name of the governed ModelProviderService that owns provider auth and provider-specific configuration. The referenced ModelProviderService also carries the provider type, so this message does not surface it directly. Format: model-provider-services/{catalog}.{schema}.{model_provider_service}. Each {...} component is capped at 255 characters individually
    target GetAiGatewayModelServiceConfigRoutingFallbackDestinationExternalModelConfigTarget
    (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from the referenced ModelProviderService's targets catalog, plus the unified API types the platform should translate to/from at request time
    modelProviderService string
    (string) - Resource name of the governed ModelProviderService that owns provider auth and provider-specific configuration. The referenced ModelProviderService also carries the provider type, so this message does not surface it directly. Format: model-provider-services/{catalog}.{schema}.{model_provider_service}. Each {...} component is capped at 255 characters individually
    target GetAiGatewayModelServiceConfigRoutingFallbackDestinationExternalModelConfigTarget
    (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from the referenced ModelProviderService's targets catalog, plus the unified API types the platform should translate to/from at request time
    model_provider_service str
    (string) - Resource name of the governed ModelProviderService that owns provider auth and provider-specific configuration. The referenced ModelProviderService also carries the provider type, so this message does not surface it directly. Format: model-provider-services/{catalog}.{schema}.{model_provider_service}. Each {...} component is capped at 255 characters individually
    target GetAiGatewayModelServiceConfigRoutingFallbackDestinationExternalModelConfigTarget
    (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from the referenced ModelProviderService's targets catalog, plus the unified API types the platform should translate to/from at request time
    modelProviderService String
    (string) - Resource name of the governed ModelProviderService that owns provider auth and provider-specific configuration. The referenced ModelProviderService also carries the provider type, so this message does not surface it directly. Format: model-provider-services/{catalog}.{schema}.{model_provider_service}. Each {...} component is capped at 255 characters individually
    target Property Map
    (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from the referenced ModelProviderService's targets catalog, plus the unified API types the platform should translate to/from at request time

    GetAiGatewayModelServiceConfigRoutingFallbackDestinationExternalModelConfigTarget

    Model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    NativeApiTypes List<string>
    (list of string) - Provider-native API types supported by this model, such as openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
    Model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    NativeApiTypes []string
    (list of string) - Provider-native API types supported by this model, such as openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
    model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    native_api_types list(string)
    (list of string) - Provider-native API types supported by this model, such as openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
    model String
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    nativeApiTypes List<String>
    (list of string) - Provider-native API types supported by this model, such as openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
    model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    nativeApiTypes string[]
    (list of string) - Provider-native API types supported by this model, such as openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
    model str
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    native_api_types Sequence[str]
    (list of string) - Provider-native API types supported by this model, such as openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
    model String
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    nativeApiTypes List<String>
    (list of string) - Provider-native API types supported by this model, such as openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed

    GetAiGatewayModelServiceConfigRoutingFallbackDestinationPayPerTokenConfig

    Model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    Model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    model String
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    model str
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    model String
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time

    GetAiGatewayModelServiceConfigRoutingFallbackDestinationProvisionedThroughputConfig

    Model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    ModelServingEndpoint string
    (string) - Name of the backing Model Serving endpoint serving the provisioned- throughput foundation model, in the form serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time
    Model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    ModelServingEndpoint string
    (string) - Name of the backing Model Serving endpoint serving the provisioned- throughput foundation model, in the form serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time
    model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    model_serving_endpoint string
    (string) - Name of the backing Model Serving endpoint serving the provisioned- throughput foundation model, in the form serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time
    model String
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    modelServingEndpoint String
    (string) - Name of the backing Model Serving endpoint serving the provisioned- throughput foundation model, in the form serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time
    model string
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    modelServingEndpoint string
    (string) - Name of the backing Model Serving endpoint serving the provisioned- throughput foundation model, in the form serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time
    model str
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    model_serving_endpoint str
    (string) - Name of the backing Model Serving endpoint serving the provisioned- throughput foundation model, in the form serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time
    model String
    (string) - UC model FQN of the model served by the backing endpoint (e.g., system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
    modelServingEndpoint String
    (string) - Name of the backing Model Serving endpoint serving the provisioned- throughput foundation model, in the form serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time

    GetAiGatewayModelServiceProviderConfig

    WorkspaceId string
    Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
    WorkspaceId string
    Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
    workspace_id string
    Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
    workspaceId String
    Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
    workspaceId string
    Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
    workspace_id str
    Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
    workspaceId String
    Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.

    Package Details

    Repository
    databricks pulumi/pulumi-databricks
[...]
